## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanObjectCache Class Template Reference

`#include <XalanObjectCache.hpp>`

Inheritance diagram for XalanObjectCache:

[legend]
Collaboration diagram for XalanObjectCache:

[legend]
List of all members.

## Public Types

- typedef std::vector<ObjectType*> VectorType
- typedef ObjectType CacheObjectType

## Public Methods

- XalanObjectCache (unsigned int initialListSize=0)
- ~XalanObjectCache ()
- ObjectType* get ()
- bool release (ObjectType *theInstance)
- void reset ()

## Public Attributes

- CreateFunctorType m_createFunctor
- DeleteFunctorType m_deleteFunctor
- ResetFunctorType m_resetFunctor

### template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>> class XalanObjectCache

## Member Typedef Documentation

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
typedef ObjectType XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::CacheObjectType

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
typedef std::vector< ObjectType *> XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::VectorType<ObjectType*>

## Constructor & Destructor Documentation

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType> ( | unsigned int initialListSize = 0 )`[explicit]`

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::~XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType> ( | )

## Member Function Documentation

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
ObjectType * XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::get ( | )

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
bool XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::release ( | ObjectType * theInstance )

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
void XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::reset ( | )

## Member Data Documentation

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
CreateFunctorType XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::m_createFunctor

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
DeleteFunctorType XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::m_deleteFunctor

template<class ObjectType, class CreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, class DeleteFunctorType = DeleteFunctor<ObjectType>, class ResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
ResetFunctorType XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::m_resetFunctor

The documentation for this class was generated from the following file:

- XalanObjectCache.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.